Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSimpleImageFilterExample Class Reference

`#include <vtkSimpleImageFilterExample.h>`

Inheritance diagram for vtkSimpleImageFilterExample:

[legend]
Collaboration diagram for vtkSimpleImageFilterExample:

[legend]
List of all members.

## Detailed Description

Simple example of an image-image filter.

Date:
  2002/01/22 15:33:47

Revision:
  1.11

This is an example of a simple image-image filter. It copies it's input to it's output (point by point). It shows how templates can be used to support various data types.

See also:
  vtkSimpleImageFilterExample

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (75%)
  - Martin, Ken (11%)
  - Lorensen, Bill (9%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkSimpleImageFilterExample.h)`
  - .`cxx` (`/Imaging/vtkSimpleImageFilterExample.cxx)`

Tests:
  vtkSimpleImageFilterExample (Tests)

Definition at line 49 of file vtkSimpleImageFilterExample.h.

## Public Types
typedef vtkSimpleImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkSimpleImageFilterExample * | New ()
int | IsTypeOf (const char *type)
vtkSimpleImageFilterExample * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSimpleImageFilterExample ()
| ~vtkSimpleImageFilterExample ()
virtual void | SimpleExecute (vtkImageData *input, vtkImageData *output)

## Member Typedef Documentation

typedef vtkSimpleImageToImageFilter vtkSimpleImageFilterExample::Superclass

| Reimplemented from vtkSimpleImageToImageFilter. Definition at line 53 of file vtkSimpleImageFilterExample.h.

## Constructor & Destructor Documentation

vtkSimpleImageFilterExample::vtkSimpleImageFilterExample | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkSimpleImageFilterExample.h.

vtkSimpleImageFilterExample::~vtkSimpleImageFilterExample | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkSimpleImageFilterExample.h.

## Member Function Documentation

vtkSimpleImageFilterExample* vtkSimpleImageFilterExample::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkSimpleImageFilterExample::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSimpleImageToImageFilter.

int vtkSimpleImageFilterExample::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSimpleImageToImageFilter.

virtual int vtkSimpleImageFilterExample::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSimpleImageToImageFilter.

vtkSimpleImageFilterExample* vtkSimpleImageFilterExample::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSimpleImageToImageFilter.

virtual void vtkSimpleImageFilterExample::SimpleExecute | ( | vtkImageData * | input,
|  | vtkImageData * | output
| ) | `[protected, virtual]`

| Implements vtkSimpleImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkSimpleImageFilterExample.h